XnHash::ConstIterator Class Reference

`#include <XnHash.h>`

Inheritance diagram for XnHash::ConstIterator:
[legend]

## Public Member Functions

| ConstIterator (const ConstIterator &other)
ConstIterator & | operator++ ()
ConstIterator | operator++ (int)
ConstIterator & | operator-- ()
ConstIterator | operator-- (int)
XnBool | operator== (const ConstIterator &other) const
XnBool | operator!= (const ConstIterator &other) const
const XnKey & | Key () const
const XnValue & | Value () const
XnNode * | GetNode ()
const XnNode * | GetNode () const

## Protected Member Functions

| ConstIterator (const XnHash *pHash, XnUInt16 nBin, XnList::Iterator listIterator)
| ConstIterator (const XnHash *pHash)

## Protected Attributes

const XnHash * | m_pHash
XnUInt16 | m_nCurrentBin
XnList::Iterator | m_Iterator

## Friends

class | XnHash

## Detailed Description

Iterator to the XnHash

## Constructor & Destructor Documentation

## ConstIterator() [1/3]

XnHash::ConstIterator::ConstIterator | ( | const ConstIterator & | other | ) |

inline

Copy constructor

Parameters

  other | [in] instance to copy from

## ConstIterator() [2/3]

XnHash::ConstIterator::ConstIterator | ( | const XnHash * | pHash,
|  | XnUInt16 | nBin,
|  | XnList::Iterator | listIterator )

inline protected

constructor to be used from inside the XnHash

Parameters

  pHash | [in] The hash to which the iterator belongs
  nBin | [in] The bin of the current object
  listIterator | [in] Iterator on the bin (each bin is a XnList)

## ConstIterator() [3/3]

XnHash::ConstIterator::ConstIterator | ( | const XnHash * | pHash | ) |

inline protected

constructor to be used from inside the XnHash. It points to the first value in the hash.

Parameters

  pHash | [in] The hash to which the iterator belongs

## Member Function Documentation

## GetNode() [1/2]

XnNode * XnHash::ConstIterator::GetNode | ( |  | ) |

inline

Get the entire current object (non-const version)

## GetNode() [2/2]

const XnNode * XnHash::ConstIterator::GetNode | ( |  | ) | const

inline

Get the entire current object (const version)

## Key()

const XnKey & XnHash::ConstIterator::Key | ( |  | ) | const

inline

Get the key of the current object (const version)

## operator!=()

XnBool XnHash::ConstIterator::operator!= | ( | const ConstIterator & | other | ) | const

inline

Operator to check if 2 iterators point to different objects

Parameters

  other | [in] instance to compare with

## operator++() [1/2]

ConstIterator & XnHash::ConstIterator::operator++ | ( |  | ) |

inline

Support ++iterator, go to the next object in the hash

## operator++() [2/2]

ConstIterator XnHash::ConstIterator::operator++ | ( | int |  | ) |

inline

Support iterator++, go to the next object in the hash, returning the old value

## operator--() [1/2]

ConstIterator & XnHash::ConstIterator::operator-- | ( |  | ) |

inline

Support –iterator, go to the previous object in the hash

## operator--() [2/2]

ConstIterator XnHash::ConstIterator::operator-- | ( | int |  | ) |

inline

Support iterator–, go to the previous object in the hash, returning the old value

## operator==()

XnBool XnHash::ConstIterator::operator== | ( | const ConstIterator & | other | ) | const

inline

Operator to check if 2 iterators point to the same object

Parameters

  other | [in] instance to compare with

## Value()

const XnValue & XnHash::ConstIterator::Value | ( |  | ) | const

inline

Get the value of the current object (const version)

## Friends And Related Symbol Documentation

## XnHash

friend class XnHash

friend

## Member Data Documentation

## m_Iterator

XnList::Iterator XnHash::ConstIterator::m_Iterator

protected

Iterator for the specific bin

## m_nCurrentBin

XnUInt16 XnHash::ConstIterator::m_nCurrentBin

protected

The bin of the current object

## m_pHash

const XnHash* XnHash::ConstIterator::m_pHash

protected

The hash to which the iterator belongs

The documentation for this class was generated from the following file:

- XnHash.h